<template>
	
</template>

<script>
	import md5 from "../../common/md5.js";
	export default {
		data() {
		    return {
				
			}  
		}, 
		onLoad() {
			uni.showLoading({  
			    title: '加载中'  
			});
			
			let Self = this;
			// console.log('login=',res);
		
			// if(uni.getSystemInfoSync().platform === 'devtools')
			// {                                                                        　　　　　　　　　　
			// 　　console.log('H5')　
			// 	let openid = this.getQueryString('openid');
			// 	getApp().globalData.openid = openid;　　　　　　　　　　　　　　
			// }else{　　　　　　　　　　　　　　　　　　　　　　　　　　
			// 　　console.log('运行在手机中')　
			// 	let openid = 'asds';
			// 	getApp().globalData.openid = openid;　　　　　　　　　　　　　　　
			// }
			let openid = this.getQueryString('openid');
			getApp().globalData.openid = openid;　
			
			Self.requestMyGameList(function(gameList){
				getApp().globalData.gameList = gameList;
				Self.goToHome();	
			});		
		},
		methods: {
			login(callback)
			{
				let api = 'login?'
				let openid = this.getQueryString('openid');
				// let timestamp = this.getQueryString('timestamp');
				// let sign = this.getQueryString('sign');
				getApp().globalData.openid = openid;
			
				let url = this.home_url+api+'open_id='+openid;
							
				// console.log('url=',url);
				uni.request({
					url:url,
					method:'GET',
					success: (res) => {
						return callback(res);
					},
					fail: (res) => {
						return callback('fail');
					}
				}) 
			},
			getQueryString: function(name)  {
			    const reg = new RegExp('(^|&)' + name + '=([^&]*)(&|$)', 'i');
			    const search = window.location.search.split('?')[1] || '';
			    const r = search.match(reg) || [];
			    return r[2];
			},
			requestMyGameList(callback)
			{
				let url = this.home_url+'getGameList?';
				console.log('gameList_url=',url);
				
				uni.request({
					url:url,
					method:'GET',
					success: (res) => {
						let gameList = res.data.list;
						// console.log(gameList)
						return callback(gameList);
					},
					fail: (res) => {
						return callback('fail');
					}
				}) 
				
				// uni.request({
				//     header: {
				// 		'Content-Type': 'application/x-www-form-urlencoded'  
				//    	}, 
				//     url: url, //仅为示例，并非真实接口地址。
				//     method: 'POST',
				//        data: {
				//            url: _url
				//        },
				//     dataType:'json',
				//     success: (res) => {
				// 		console.log('gameList=',res)
				//    		let gameList = res.data.list;
				//    		// console.log(gameList)
				//    		return callback(gameList);
				//     } 
				// }); 
			},
			goToHome()
			{
				uni.hideLoading();
				uni.navigateTo({
				    url: '/pages/Home/Home',
				});
			}
		}
	}
</script>

<style>
	
	
</style>
